/* Developed for Lenovo Educational Board Pass 3
   © Lenovo Created by Joshua Grosser
   v. 2.0 */

const int BlueledPin = 18; // blue LED pin
const int micPin = 10; // microphone pin number
int micVal = 0; // value read from the microphone
bool litUp = false; // tells whether the LED is on/off

void setup() {  
  // sets pinmode for LED
  pinMode(BlueledPin, OUTPUT);
}

void loop() {
  // read the current microphone value
  micVal = analogRead(micPin);
  // micVal of 30 registers a clap
  if (micVal > 30 && !litUp) // turn LED on with one clap
  {
    digitalWrite(BlueledPin, HIGH);
    litUp = true;
  }
  else if (micVal > 30 && litUp) // turn LED off with two claps
  {
    delay(500); // wait half a second between claps to turn off
    micVal = analogRead(micPin);
    if (micVal > 30)
    {
      digitalWrite(BlueledPin, LOW);
      litUp = false;
      delay(1000); // wait a second before being able to turn the light on again
    }
  }
}
